from narval.elements.test import Element
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'done')
# check transitions'state
assert_equals(plan.elements['transition2'].state, 'fired')
# check steps'state
assert_equals(plan.elements['step1'].state, 'history')
assert_equals(plan.elements['step3'].state, 'history')
assert_equals(plan.elements['end'].state, 'done')
